//
//  ASCoreData_extensions.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2008-07-23.
//  Copyright 2008 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSManagedObjectContext(ASCoreData_extensions)
- (NSArray *)fetchEntitiesWithName:(NSString *)entityName usingPredicate:(NSPredicate *)predicate sortDescriptors:(NSArray *)descriptors fetchLimit:(NSInteger)limit;
- (NSArray *)fetchEntitiesWithName:(NSString *)entityName usingPredicate:(NSPredicate *)predicate sortDescriptors:(NSArray *)sortDescriptors;
- (NSArray *)fetchEntitiesWithName:(NSString *)entityName usingPredicate:(NSPredicate *)predicate;
@end

@interface NSManagedObject(ASCoreData_extensions)
- (void)setObject:(id)i ofType:(NSString *)s forKey:(NSString *)k;
- (void)setObject:(id)i ofType:(NSString *)s;
- (void)setNumberedObject:(id)i ofType:(NSString *)s;
- (void)setNamedObject:(id)i ofType:(NSString *)s;
- (void)setNamedObject:(id)i ofType:(NSString *)s inKey:(NSString *)key;
- (void)copyKeys:(NSArray *)keys toManagedObject:(NSManagedObject *)destination;
+ (void)mergeValidationError:(NSError *)a withError:(NSError **)error;
@end

@interface NSTableColumn(ASCoreData_extensions)
- (void)setValue:(id)value forUndefinedKey:(NSString *)key;
- (id)valueForUndefinedKey:(NSString *)key;
@end

@interface NSArrayController(ASCoreData_extensions)
- (id)singleSelectedObject;
@end
