//
//  AddressControllerBase.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2009-04-30.
//  Copyright 2009 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class CountryCodeToNameTransformer;
@class CodeToNameTransformer;

#define INTER_FIELD_DISTANCE	8.0

//
// A container class for address fields.
// To use: create a custom NSView in IB and set its class to AddressFieldView.
// Place 4 textfields and a popup in it and bind them to
// street, zip, city, county and country.
// Give them tags 764001 to 764005.
// Don't give them intrinsic constraints.
@interface AddressFieldView : NSView {
    NSSize initialSize;
}

- (NSArray *)sortedViews;
- (void)assignNewConstraints:(NSArray *)constraints;

@end

@interface AddressControllerBase : NSObject {
	NSDictionary *addressFieldPlacement;
	CountryCodeToNameTransformer *t; CodeToNameTransformer *l;
	    
	float moveDown;
    AddressFieldView *addressFieldContainerView;
}
@property(retain,readonly) NSDictionary *addressFieldPlacement;
@property(assign) IBOutlet AddressFieldView *addressFieldContainerView;

- (NSArray *)countries;
- (NSArray *)languages;

- (void)adjustAddressToMatchCountry:(NSString *)countryCode;
- (void)adjustAddressToMatchCountry:(NSString *)countryCode animate:(BOOL)shouldAnimate;
- (void)adjustAddressToMatchCountry:(NSString *)countryCode animate:(BOOL)shouldAnimate shrinkEntireView:(BOOL)shrink;

@end

