//
//  Allowance.h
//  EconomacsSDK
//
//  Created by Erik Aderstedt on 2008-04-28.
//  Copyright 2008 Aderstedt Software AB. All rights reserved.
//
//	Allowance entities encapsulate invoice-level and invoice-line level discounts in Economacs.
//	The type of discount is generally determined by parsing the string the user enters in the
//	discount field for an invoice line or the invoice.

#import <Cocoa/Cocoa.h>

@class Invoice, InvoiceLine;

@interface Allowance : NSManagedObject {

}
@property(retain) NSDecimalNumber *value;
@property(retain) NSDecimalNumber *absolute;
@property(retain) Invoice *invoice;
@property(retain) InvoiceLine *invoiceline;

+ (Allowance *)createAllowanceFromString:(NSString *)allowance forCurrency:(NSString *)currency inContext:(NSManagedObjectContext *)moc;
- (NSString *)stringRepresentation;
- (double)calculateAllowanceOn:(double)basePrice;
- (NSDecimalNumber *)amountOnDecimal:(NSDecimalNumber *)basePrice;
- (Allowance *)duplicate;

@end
