//
//  Book.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2007-10-30.
//  Copyright 2007 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class FiscalYear;
@class Company;

@interface Book : NSManagedObject

@property(retain) NSString *currency;
@property(retain) NSString *templateName;
@property(retain) NSNumber *autoBook;
@property(retain) NSNumber *bookOnce;
@property(retain) NSNumber *days;
@property(retain) NSNumber *vatMode;
@property(retain) Company *company;


+ (Book *)createDefaultInContext:(NSManagedObjectContext *)moc;
+ (Book *)currentBookInContext:(NSManagedObjectContext *)managedObjectContext;
+ (void)createVatInfoObjectsInBook:(Book *)book;

- (void)setDefaultsFromLocale;

// AppleScript
- (NSDocument *)theDocument;

- (void)calculateExchangeRateForCurrency:(NSString *)otherCurrency completionHandler:(void (^)(NSDecimalNumber *rate))handler;

@end
