//
//  Company.h
//  EconomacsSDK
//
//  Created by Erik Aderstedt on 2008-05-05.
//  Copyright 2008 Aderstedt Software AB. All rights reserved.
//
//	The Company entity encapsulates all information relating to the
//	business that the bookkeeping and invoicing relates to. There is
//	a single instance of this entity in a given document context.
//	That unique instance is most easily accessed using
//	Company *ourCompany = [[Book currentBookInContext] company];

#import <Cocoa/Cocoa.h>

@interface Company : NSManagedObject {

}

@property(retain) NSString *bank;
@property(retain) NSString *bankAccount;
@property(retain) NSString *bic;
@property(retain) NSString *paymentOption1;
@property(retain) NSString *paymentOption2;

@property(retain) NSString *orgname;
@property(retain) NSString *street;
@property(retain) NSString *zipcode;
@property(retain) NSString *city;
@property(retain) NSString *county;
@property(retain) NSString *country;

@property(retain) NSString *vatno;
@property(retain) NSString *orgid;

@property(retain) NSString *email;
@property(retain) NSString *fax;
@property(retain) NSString *phone;
@property(retain) NSString *homepage;

@property(retain) NSNumber *registeredForTax; // Means different things in different countries.
@property(retain) NSNumber *registeredForVat;

@property(retain) NSImage *logotype;	// The logo is stored as an NSData object. This property converts the NSData to/from an NSImage object.

+ (BOOL)outsideEU:(NSString *)countryCode;
- (BOOL)isOutsideEU;

+ (Company *)currentCompanyInContext:(NSManagedObjectContext *)moc;

@end
