//
//  DeliveryAddress.h
//  EconomacsSDK
//
//  Created by Erik Aderstedt on 2008-12-07.
//  Copyright 2008 Aderstedt Software AB. All rights reserved.
//
//  The delivery address is an auxilirary entity that stores an address
//	together with a name and a company name. It is attached to invoices
//	when the user specifies a separate delivery address.
//
//  Apart from the attributes listed here, there is also a relationship
//	key, "invoice", which is the Invoice instance that the delivery address is
//	attached to.

#import <Cocoa/Cocoa.h>

@interface DeliveryAddress : NSManagedObject {

}

@property(retain) NSString *name;
@property(retain) NSString *company;
@property(retain) NSString *street;
@property(retain) NSString *zipcode;
@property(retain) NSString *city;
@property(retain) NSString *county;
@property(retain) NSString *country;

@end
