//
//  InvoiceLine.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2008-04-28.
//  Copyright 2008 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class Allowance;
@class Article;
@class Invoice;

@interface InvoiceLine : NSManagedObject {

}

@property(retain) NSNumber *number;
@property(retain) NSDecimalNumber *quantity;
@property(retain) NSDecimalNumber *price;
@property(retain) NSDecimalNumber *vat;
@property(retain) NSString *comment;
@property(retain) Allowance *allowance;
@property(retain) NSString *allowanceString;
@property(retain) Article *article;
@property(retain) Invoice *invoice;

- (void)handleChangedArticle;
// Dependent keys
- (NSString *)articleNumber;
- (void)setArticleNumber:(NSString *)n;
- (NSString *)articleName;
- (void)setArticleName:(NSString *)s;

- (void)inscribeAmounts;

- (NSDecimalNumber *)lineSum;
- (NSDecimalNumber *)lineSumExclVat;
- (NSDecimalNumber *)lineVat;

- (NSDecimalNumber *)lineSumUnrounded;
- (NSDecimalNumber *)lineSumExclVatUnrounded;
- (NSDecimalNumber *)lineVatUnrounded;

- (InvoiceLine *)duplicate;

@end
