//
//  PluginArchitecture.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2009-02-25.
//  Copyright 2009 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ErrorCodes.h"
#import "MyDocument.h"
#import "CommonSidebarController.h"
#import "ASSourceListItem.h"

#if !defined (APP_STORE)
#define PLUGIN_MENU_ITEM_TAG 4005
@class ASPluginBase;
@class ASViewPluginBase;

@interface CommonSidebarController (ASPluginBase)

- (void)insertViewPlugin:(ASViewPluginBase *)plugin;

@end

@interface MyDocument (ASPluginBase)

- (NSSet *)loadPlugins;
- (ASPluginBase *)pluginWithPath:(NSString *)bundlePath;
- (ASPluginBase *)loadPlugin:(NSString *)path error:(NSError **)error;
- (BOOL)unloadPlugin:(NSString *)bundlePath error:(NSError **)error;
- (void)addViewPluginsToSidebar;

@end

@interface ASPluginSourceListItem : ASSourceListItem {
	ASViewPluginBase *plugin;
}
@property(nonatomic,retain) ASViewPluginBase *plugin;
@end

// A single instance of this class is created
// when the app delegate loads the OffStore.xib
// 
@interface ASPluginManager : NSObject {
    NSWindow *_pluginWindow;
    
    NSTableView *_pluginTable;
    
    NSMutableArray *allPlugins;
}
@property(nonatomic,retain) IBOutlet NSWindow *pluginWindow;
@property(nonatomic,retain) IBOutlet NSTableView *pluginTable;

+ (NSArray *)enumeratedPluginPaths;
- (BOOL)removePluginWithPath:(NSString *)path error:(NSError **)error;

- (IBAction)showPluginWindow:(id)sender;
- (IBAction)addPlugin:(id)sender;
- (IBAction)removeSelectedPlugin:(id)sender;

@end
#endif