//
//  Row.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2007-11-09.
//  Copyright 2007 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class Tag;
@class Account;
@class Entry;

#define RAD_GAMMAL 0
#define RAD_BORTTAGEN 1
#define RAD_NY 2

enum ASVatFreeSalesType {
	kASVatFreeSalesTypeUnknown = 0,
	kASVatFreeSalesTypeNone,
	kASVatFreeSalesTypeInvoice,
	kASVatFreeSalesTypeGoods,
	kASVatFreeSalesTypeServices
};

@interface Row : NSManagedObject {
	NSDecimalNumber					*outgoingBalance; // Transient attribute.
}

@property(retain) NSDecimalNumber	*debit, *credit;
@property(retain) NSString			*who;
@property(retain) NSNumber			*when;
@property(retain) NSNumber			*status;
@property(retain) NSNumber			*number;
@property(retain) Tag				*tag;
@property(retain) Account			*account;
@property(retain) Entry				*entry;
@property(retain) NSDecimalNumber	*outgoingBalance;

// Derived properties
@property(assign)	NSDecimalNumber	*net;
@property(assign,readonly)	NSString		*changeText;
@property(assign)			NSNumber		*accountNumber;

- (void)set:(NSString *)key byId:(id)i;

- (NSNumber *)isRemoved;
- (BOOL)isEmpty;
+ (NSPredicate *)noRemovedRows;
- (NSNumber *)number;

- (NSDecimalNumber *)rawNet;

- (void)remove;
- (void)touch;
- (void)copyOtherRow:(Row *)otherRow;
- (void)deleteWithoutPardon;
- (void)makeEntryBalanced;

@end
