//
//  SupplierInvoice.h
//  Economacs
//
//  Created by Erik Aderstedt on 2010-10-06.
//  Copyright 2010 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum ASSupplierInvoiceStatus {
	kASSupplierInvoiceNotRegistered,
	kASSupplierInvoiceRegistered,
	kASSupplierInvoicePaid,
	kASSupplierInvoicePartiallyPaid
};

enum ASSupplierInvoiceDateType {
	kASSupplierInvoiceInvoiceDate,
	kASSupplierInvoiceDueDate,
	kASSupplierInvoicePaidDate
};


@interface SupplierInvoice : NSManagedObject {

}
@property(retain) NSString *currency;
@property(retain) NSNumber *date;
@property(retain) NSNumber *paidDate;
@property(retain) NSNumber *dueDate;
@property(retain) NSString *reserved; // Comment.
@property(retain) NSString *number;

- (void)registerInvoiceWithDateIndex:(NSNumber *)d ofType:(enum ASSupplierInvoiceDateType)type exchangeRate:(NSDecimalNumber *)eRate;
- (void)makePayment:(NSDecimalNumber *)amount onDateIndex:(NSNumber *)paid partialPayment:(BOOL)partial;

- (NSDecimalNumber *)totalAmountInclVat;
- (NSDecimalNumber *)totalAmountExclVat;
- (NSDecimalNumber *)remainingAmount;
- (NSAttributedString *)indicator;
- (enum ASSupplierInvoiceStatus)invoiceStatus;
- (void)setInvoiceStatus:(enum ASSupplierInvoiceStatus)s;
- (NSNumber *)isImport;
+ (SupplierInvoice *)latestInManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;
- (void)duplicate;
@end
